#pragma once

#include "OptionsWindow.h"

#include "DimensionMap.h"

class MapWindow : public OptionsWindow
{
private:
    DimensionMap* map;

public:
    MapWindow();
    
    void setVisibility(bool visible);
    void addChunk(ChunkMap* chunk);
    
    bool tick(double time) override;
};